%global fontname eb-garamond
%global fontconf 62-%{fontname}.conf

%global archivename EBGaramond-%{version}

Name:           gduffner-eb-garamond-fonts
Version:        0.016
Release:        1%{?dist}
Summary:        Free version of Garamond font

License:        OFL
URL:            http://www.georgduffner.at/ebgaramond
Source0:        https://bitbucket.org/georgd/eb-garamond/downloads/%{archivename}.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
EB Garamond is a free version of the Garamond types, based on the Designs of
the Berner specimen from 1592. Fonts cover extended latin, greek and cyrillic
scripts in different styles and design sizes. There are also fonts containing
initials based on those found in a 16th century french bible print. The fonts
make heavy use of opentype features for specialities like small caps or
different number styles as well as for imitating renaissance typography.


%prep
%setup -q -n %{archivename}
sed -i 's/\r$//' COPYING


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p ttf/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%license COPYING
%doc Changes README.markdown


%changelog
* Sat Jan 14 2017 Dylan Smith <dyskette@gmail.com> - 0.016-1
- First package
